
package de.ivu.elect.business.benutzerverwaltung.boundary;

import java.util.Collection;

import javax.ejb.Stateless;

import de.ivu.elect.business.benutzerverwaltung.entity.Nachricht;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.security.UseCaseSecure;

@Stateless
public class NachrichtEdit extends AbstractNachrichtEdit {

  public NachrichtEdit() {
    super();
  }

  @UseCaseSecure(UseCasePermission.NACHRICHT_DELETE)
  public void delete(Collection<Nachricht> entities) {
    for (Nachricht entity : entities) {
      delete(entity);
    }
  }
}
